sendsend.email

Retrieve a segment

GET/v1/segments/{id}

Includes how many contacts match right now.

Required scope: contacts:manage

Parameters

NameInDescription
idrequiredpathThe segment id.

Example

curl -X GET 'https://api.sendsend.email/v1/segments/ID' \
  -H "Authorization: Bearer $SENDSEND_API_KEY"

Response 200

{
  "id": "seg_Pm4…",
  "object": "segment",
  "audience_id": "aud_7Qe2…",
  "name": "Pro customers",
  "match": "all",
  "rules": [
    {
      "field": "property",
      "key": "plan",
      "op": "equals",
      "value": "pro"
    },
    {
      "field": "status",
      "op": "is",
      "value": "subscribed"
    }
  ],
  "created_at": "2026-10-06T15:00:00.000Z",
  "updated_at": "2026-10-06T15:00:00.000Z",
  "contacts": 184
}

Errors

StatusCodeWhen
404not_foundNo such resource in this project.
401unauthorizedThe API key is missing, invalid or revoked.
403forbiddenThe key does not have the scope this endpoint needs.

Every error has the same shape. See Errors.